Page MenuHomePhabricator

Expecting : in parser function definiton
Closed, ResolvedPublic

Description

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.01.24/parsoid?id=AWEo5waWTtry-x7q_1um&_g=()

dewiki/Vorlage:Inhalte_übernommen/169229641

AssertionError: Expecting : in parser function definiton
    at Console.assert (console.js:95:23)
    at TemplateHandler.resolveTemplateTarget (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tt/TemplateHandler.js:495:14)
    at TemplateHandler.onTemplate (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tt/TemplateHandler.js:118:17)
    at AsyncTokenTransformManager.transformTokens (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/TokenTransformManager.js:624:17)
    at AsyncTokenTransformManager.onChunk (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/TokenTransformManager.js:397:17)
    at emitOne (events.js:96:13)
    at SyncTokenTransformManager.emit (events.js:188:7)
    at SyncTokenTransformManager.onChunk (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/TokenTransformManager.js:981:7)
    at emitOne (events.js:96:13)
    at PegTokenizer.emit (events.js:188:7)
    at emitChunk (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:20442:25)
    at peg$c33 (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:390:11)
    at peg$parsetlb (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:3233:12)
    at Object.next (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:1947:14)
    at tokenizeChunk (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:299:20)
    at PegTokenizer.tokenizeAsync (/srv/deployment/parsoid/deploy-cache/revs/a95fede9efea415a2d06df41df1e3db0472d4482/src/lib/wt2html/tokenizer.js:312:2)

Event Timeline

Arlolra created this task.Jan 24 2018, 4:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2018, 4:06 PM
Arlolra triaged this task as High priority.Jan 24 2018, 4:06 PM
Arlolra updated the task description. (Show Details)Jan 24 2018, 5:43 PM

Change 406057 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Strip everything before the first pf token

https://gerrit.wikimedia.org/r/406057

Change 406057 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Strip everything before the first pf token

https://gerrit.wikimedia.org/r/406057

Arlolra closed this task as Resolved.Jan 25 2018, 4:22 AM